Subject: Re: bug#13246: 24.3.50; Dired and Tramp adb

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 21 Dec 2012 13:54:24 +0100

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> Michael Albinus <[email-masked]> writes:
>>
>>> Thierry Volpiatto <[email-masked]> writes:
>>>
>>>> tramp adb is not working at all here, I am able to do "adb shell ls"
>>>> from eshell, but tramp is not working, `tramp-adb-sdk-dir' have been
>>>> set.
>>>> Maybe I missed something?
>>>
>>> The usual :-)
>>>
>>> Set `tramp-verbose' to 6, and show the traces please.
>>
>> From emacs -Q:
>>
>> find-file => /adb::/
>>
>> ;; GNU Emacs: 24.3.50.4 Tramp: 2.2.7-pre -*- mode: outline; -*-
>> 13:21:36.626123 tramp-adb-maybe-open-connection (3) # Opening adb shell connection...
>> 13:21:36.626941 tramp-adb-maybe-open-connection (6) # /home/thierry/share/android-sdk-linux/platform-tools/adb shell
>> 13:23:53.427269 tramp-accept-process-output (3) # Opening adb shell connection...done
>
> What happens, if you call from a shell
>
> # /home/thierry/share/android-sdk-linux/platform-tools/adb shell
I get a prompt:

sh-3.2#

Where I can type e.g "ls":

--8<---------------cut here---------------start------------->8---
sh-3.2# ls
acct                  init                  sbin
cache                 init.blade2.rc        sdcard
config                init.goldfish.rc      sqlite_stmt_journals
d                     init.qcom.rc          sys
data                  init.rc               system
default.prop          mnt                   ueventd.goldfish.rc
dev                   proc                  ueventd.rc
etc                   root                  vendor
sh-3.2# 
--8<---------------cut here---------------end--------------->8---

Note that the connection to my phone is wireless.

I connect with:

adb connect 192.168.0.24:5555

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997